> ## Documentation Index
> Fetch the complete documentation index at: https://docs.jogg.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Voice List from Library

> Retrieve a list of available voices with specified filters



## OpenAPI

````yaml GET /voices
openapi: 3.0.1
info:
  title: OpenAPI Render API
  description: A sample API that demonstrates features in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.jogg.ai/v1
security:
  - apiKeyAuth: []
tags:
  - name: Create Video from URL
    description: |-



      Product video generation workflow:



        1. First call POST /product to crawl product information



        2. Optionally call PUT /product to modify product details using the product_id from step 1



        3. Finally call POST /create_video_from_url to generate video using the product_id from step 1
  - name: Webhook
    description: Webhook configuration and management
paths:
  /voices:
    get:
      tags:
        - Voice
      summary: Get Voice List from Library
      description: Retrieve a list of available voices with specified filters
      parameters:
        - name: page
          in: query
          description: Page number
          required: false
          schema:
            type: integer
            minimum: 1
            default: 1
        - name: page_size
          in: query
          description: Page size
          required: false
          schema:
            type: integer
            minimum: 1
            default: 10
        - name: age
          in: query
          description: |



            Filter voices by age:



            * young



            * middle_aged



            * old
          required: false
          schema:
            type: string
            enum:
              - young
              - middle_aged
              - old
        - name: gender
          in: query
          description: |
            Filter voices by gender:
            * male
            * female
          required: false
          schema:
            type: string
            enum:
              - male
              - female
        - name: language
          in: query
          description: |



            Filter voices by language:



            * english - English



            * filipino - Filipino



            * french - French  



            * german - German



            * hindi - Hindi



            * indonesian - Indonesian



            * italian - Italian



            * japanese - Japanese



            * korean - Korean



            * malay - Malay



            * portuguese - Portuguese



            * russian - Russian



            * spanish - Spanish



            * thai - Thai



            * vietnamese - Vietnamese



            * arabic - Arabic



            * greek - Greek



            * turkish - Turkish



            * slovenian - Slovenian



            * croatian - Croatian



            * romanian - Romanian



            * chinese - Simplified Chinese



            * bengali - Bengali



            * urdu - Urdu



            * hungarian - Hungarian



            * traditional-chinese - Traditional Chinese



            * polish - Polish



            * cantonese - Cantonese



            * danish - Danish



            * malayalam - Malayalam



            * tamil - Tamil



            * telugu - Telugu



            * czech - Czech



            * hebrew - Hebrew



            * zulu - Zulu



            * swedish - Swedish



            * lithuanian - Lithuanian




            * dutch - Dutch



            * flemish - Flemish



            * norwegian - Norwegian



            * finnish - Finnish




            * bulgarian - Bulgarian




            * latvian - Latvian




            * ukrainian - Ukrainian




            * mongolian - Mongolian




            * persian - Persian



            * odia - Odia



            * assamese - Assamese



            * kannada - Kannada



            * tagalog - Tagalog



            * amharic - Amharic



            * serbian - Serbian



            * slovak - Slovak



            * swahili - Swahili
          required: false
          schema:
            type: string
            enum:
              - english
              - filipino
              - french
              - german
              - hindi
              - indonesian
              - italian
              - japanese
              - korean
              - malay
              - portuguese
              - russian
              - spanish
              - thai
              - vietnamese
              - arabic
              - greek
              - turkish
              - slovenian
              - croatian
              - romanian
              - chinese
              - bengali
              - urdu
              - hungarian
              - traditional-chinese
              - polish
              - cantonese
              - danish
              - malayalam
              - tamil
              - telugu
              - czech
              - hebrew
              - zulu
              - swedish
              - lithuanian
              - dutch
              - flemish
              - norwegian
              - finnish
              - bulgarian
              - latvian
              - ukrainian
              - mongolian
              - persian
              - odia
              - assamese
              - kannada
              - tagalog
              - amharic
              - serbian
              - slovak
              - swahili
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/BaseResponse'
                  - type: object
                    properties:
                      data:
                        type: object
                        properties:
                          total:
                            type: integer
                            description: Total number of voices
                            example: 10
                          voices:
                            type: array
                            items:
                              type: object
                              properties:
                                name:
                                  type: string
                                  description: Voice name
                                  example: Emily
                                voice_id:
                                  type: string
                                  description: Voice identifier
                                  example: en-US-ChristopherNeural
                                audition_url:
                                  type: string
                                  description: URL for the audition audio file
                                  example: >-
                                    https://jogg-test.cds8.cn/jogg/2024-08-05/3020cde64e75c1a3a232ec325e3d1790.mp3
                                language:
                                  type: string
                                  description: Language of the voice
                                  example: english
                                gender:
                                  type: string
                                  description: Voices gender
                                  example: female
                                age:
                                  type: string
                                  description: Voices age
                                  example: adult
components:
  schemas:
    BaseResponse:
      type: object
      required:
        - code
        - msg
      properties:
        code:
          type: integer
          description: |



            Business status code:



            * 0 - Success



            * 10104 - Record not found



            * 10105 - Invalid API key



            * 18020 - Insufficient credit



            * 18025 - No permission to call APIs.



            * 40000 - Parameter error



            * 50000 - System error
        msg:
          type: string
          description: Response message
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````